petsc-3.7.1 2016-05-15
Report Typos and Errors

# KSPSTCGGetNormD

Got norm of the direction.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPSTCGGetNormD(KSP ksp, PetscReal *norm_d)

Collective on KSP Many br

### Input Parameters

| ksp | - the iterative context Many br
| norm_d | - the norm of the direction Many br

Many br

### Keywords

KSP, STCG, get, norm direction

Level:advanced
Location:src/ksp/ksp/impls/cg/stcg/stcg.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages